vcruntime140.dll 14.0与PHP版本不兼容,PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0

今天需要切换到PHP7.4以上的版本,然后我就切换到PHP7.4.3版本

当我在cmd运行一下代码的时候,报错:

C:\Users\Think>php -v

PHP Warning:  'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0

注意看报错信息,是缺失还是与PHP版本不兼容

丢失请参考:https://blog.csdn.net/damountain/article/details/78161072

这里讲不兼容的问题,很好解决,原因是PHP 7.4.x需要用于Visual Studio 2019的Microsoft Visual C ++ Redistributable

可在此处下载:

进去之后向下滚动→其他工具和框架→Microsoft Visual C++ Redistributable for Visual Studio 2019→选择你对应的版本下载,我这里选择的是64位的

https://visualstudio.microsoft.com/downloads/

 

 下载之后安装,重启电脑就可以了

posted @ 2020-05-12 09:34  郭德纲又打人了嘿  阅读(18214)  评论(2编辑  收藏  举报